diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
index 3bc1ef11..bf7ef556 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
@@ -2,7 +2,7 @@
 define('pgadmin.node.check_constraint', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'pgadmin.alertifyjs',
-  'pgadmin.browser.collection'
+  'pgadmin.browser.collection',
 ], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify) {
 
   // Check Constraint Node
@@ -21,7 +21,7 @@ define('pgadmin.node.check_constraint', [
       Init: function() {
         // Avoid mulitple registration of menus
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -30,13 +30,13 @@ define('pgadmin.node.check_constraint', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 5, label: gettext('Check...'),
           icon: 'wcTabIcon icon-check_constraint', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'validate_check_constraint', node: 'check_constraint', module: this,
           applies: ['object', 'context'], callback: 'validate_check_constraint',
           category: 'validate', priority: 4, label: gettext('Validate check constraint'),
-          icon: 'fa fa-link', enable : 'is_not_valid', data: {action: 'edit', check: true}
-        }
+          icon: 'fa fa-link', enable : 'is_not_valid', data: {action: 'edit', check: true},
+        },
         ]);
 
       },
@@ -50,10 +50,10 @@ define('pgadmin.node.check_constraint', [
       callbacks: {
         validate_check_constraint: function(args) {
           var input = args || {},
-          obj = this,
-          t = pgBrowser.tree,
-          i = input.item || t.selected(),
-          d = i && i.length == 1 ? t.itemData(i) : undefined;
+            obj = this,
+            t = pgBrowser.tree,
+            i = input.item || t.selected(),
+            d = i && i.length == 1 ? t.itemData(i) : undefined;
 
           if (!d) {
             return false;
@@ -73,19 +73,21 @@ define('pgadmin.node.check_constraint', [
                 setTimeout(function() {t.select(i);}, 100);
               }
             },
-            error: function(xhr, status, error) {
+            error: function(xhr) {
               try {
                 var err = $.parseJSON(xhr.responseText);
                 if (err.success == 0) {
                   alertify.error(err.errormsg);
                 }
-              } catch (e) {}
+              } catch (e) {
+                console.warn(e.stack || e);
+              }
               t.unload(i);
-            }
-            });
+            },
+          });
 
           return false;
-        }
+        },
       },
       canDrop: pgBrowser.Nodes['schema'].canChildDrop,
       model: pgAdmin.Browser.Node.Model.extend({
@@ -97,15 +99,15 @@ define('pgadmin.node.check_constraint', [
           description: undefined,
           consrc: undefined,
           connoinherit: undefined,
-          convalidated: true
+          convalidated: true,
         },
         // Check Constraint Schema
         schema: [{
           id: 'name', label: gettext('Name'), type:'text', cell:'string',
-          disabled: 'isDisabled'
+          disabled: 'isDisabled',
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties']
+          type: 'text' , mode: ['properties'],
         },{
           id: 'comment', label: gettext('Comment'), type: 'multiline', cell:
           'string', mode: ['properties', 'create', 'edit'],
@@ -120,15 +122,15 @@ define('pgadmin.node.check_constraint', [
             } else {
               return false;
             }
-          }
+          },
         },{
           id: 'consrc', label: gettext('Check'), type: 'multiline', cell:
           'string', group: gettext('Definition'), mode: ['properties',
-          'create', 'edit'], disabled: function(m) {
-            return ((_.has(m, 'handler') &&
+            'create', 'edit'], disabled: function(m) {
+              return ((_.has(m, 'handler') &&
               !_.isUndefined(m.handler) &&
               !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
-          }, editable: false
+            }, editable: false,
         },{
           id: 'connoinherit', label: gettext('No Inherit?'), type:
           'switch', cell: 'boolean', group: gettext('Definition'), mode:
@@ -140,7 +142,7 @@ define('pgadmin.node.check_constraint', [
                 _.has(m.node_info.table, 'is_partitioned') && m.node_info.table.is_partitioned)
             ){
               setTimeout(function(){
-                  m.set('connoinherit', false);
+                m.set('connoinherit', false);
               },10);
 
               return true;
@@ -149,9 +151,9 @@ define('pgadmin.node.check_constraint', [
             return ((_.has(m, 'handler') &&
               !_.isUndefined(m.handler) &&
               !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
-          }
+          },
         },{
-          id: 'convalidated', label: gettext("Don't validate?"), type: 'switch', cell:
+          id: 'convalidated', label: gettext('Don\'t validate?'), type: 'switch', cell:
           'boolean', group: gettext('Definition'), min_version: 90200,
           disabled: function(m) {
             if ((_.isFunction(m.isNew) && !m.isNew()) ||
@@ -159,17 +161,17 @@ define('pgadmin.node.check_constraint', [
                   !_.isUndefined(m.handler) &&
                   !_.isUndefined(m.get('oid')))) {
 
-              return !m.get("convalidated");
+              return !m.get('convalidated');
             } else {
               return false;
             }
           },
-          mode: ['properties', 'create', 'edit']
+          mode: ['properties', 'create', 'edit'],
         }],
         // Client Side Validation
         validate: function() {
           var err = {},
-              errmsg;
+            errmsg;
 
           if (_.isUndefined(this.get('consrc')) || String(this.get('consrc')).replace(/^\s+|\s+$/g, '') == '') {
             err['consrc'] = gettext('Check cannot be empty.');
@@ -198,32 +200,32 @@ define('pgadmin.node.check_constraint', [
             }
           }
           return false;
-        }
+        },
       }),
       // Below function will enable right click menu for creating check constraint.
       canCreate: function(itemData, item, data) {
           // If check is false then , we will allow create menu
-          if (data && data.check == false)
-            return true;
+        if (data && data.check == false)
+          return true;
 
-          var t = pgBrowser.tree, i = item, d = itemData, parents = [];
+        var t = pgBrowser.tree, i = item, d = itemData, parents = [];
           // To iterate over tree to check parent node
-          while (i) {
+        while (i) {
             // If it is schema then allow user to c reate table
-            if (_.indexOf(['schema'], d._type) > -1)
-              return true;
-            parents.push(d._type);
-            i = t.hasParent(i) ? t.parent(i) : null;
-            d = i ? t.itemData(i) : null;
-          }
-          // If node is under catalog then do not allow 'create' menu
-          if (_.indexOf(parents, 'catalog') > -1) {
-            return false;
-          } else {
+          if (_.indexOf(['schema'], d._type) > -1)
             return true;
-          }
-      }
-  });
+          parents.push(d._type);
+          i = t.hasParent(i) ? t.parent(i) : null;
+          d = i ? t.itemData(i) : null;
+        }
+          // If node is under catalog then do not allow 'create' menu
+        if (_.indexOf(parents, 'catalog') > -1) {
+          return false;
+        } else {
+          return true;
+        }
+      },
+    });
 
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
index 16294466..0bbf66a1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
@@ -1,8 +1,11 @@
 define('pgadmin.node.exclusion_constraint', [
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'alertify',
-  'pgadmin.browser.collection'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Alertify) {
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'backbone',
+  'sources/pgadmin', 'pgadmin.browser', 'alertify', 'pgadmin.backform',
+  'pgadmin.backgrid', 'pgadmin.browser.collection',
+], function(
+  gettext, url_for, $, _, Backbone, pgAdmin, pgBrowser, Alertify, Backform,
+  Backgrid
+) {
 
   var ExclusionConstraintColumnModel = pgBrowser.Node.Model.extend({
     defaults: {
@@ -12,7 +15,7 @@ define('pgadmin.node.exclusion_constraint', [
       nulls_order: false,
       operator:undefined,
       col_type:undefined,
-      is_sort_nulls_applicable: true
+      is_sort_nulls_applicable: true,
     },
     toJSON: function () {
       var d = pgBrowser.Node.Model.prototype.toJSON.apply(this, arguments);
@@ -20,139 +23,139 @@ define('pgadmin.node.exclusion_constraint', [
       return d;
     },
     schema: [{
-        id: 'column', label: gettext('Column'), type:'text', editable: false,
-        cell:'string'
-      },{
-        id: 'oper_class', label: gettext('Operator class'), type:'text',
-        node: 'table', url: 'get_oper_class', first_empty: true,
-        editable: function(m) {
-          if (m instanceof Backbone.Collection) {
-            return true;
-          } else if ((_.has(m.collection, 'handler') &&
-                !_.isUndefined(m.collection.handler) &&
-                !_.isUndefined(m.collection.handler.get('oid')))) {
-            return false;
-          } else if (_.has(m.collection, 'handler') &&
-                !_.isUndefined(m.collection.handler) &&
+      id: 'column', label: gettext('Column'), type:'text', editable: false,
+      cell:'string',
+    },{
+      id: 'oper_class', label: gettext('Operator class'), type:'text',
+      node: 'table', url: 'get_oper_class', first_empty: true,
+      editable: function(m) {
+        if (m instanceof Backbone.Collection) {
+          return true;
+        } else if ((_.has(m.collection, 'handler') &&
+          !_.isUndefined(m.collection.handler) &&
+            !_.isUndefined(m.collection.handler.get('oid')))) {
+          return false;
+        } else if (_.has(m.collection, 'handler') &&
+              !_.isUndefined(m.collection.handler) &&
                 !_.isUndefined(m.collection.handler.get('amname')) &&
                 m.collection.handler.get('amname') != 'btree') {
-            // Disable if access method is not btree
-            return false;
-          }
-          return true;
-        },
-        select2: {
-          allowClear: true, width: 'style', tags: true,
-          placeholder: gettext('Select the operator class')
-        }, cell: Backgrid.Extension.Select2Cell.extend({
-          initialize: function () {
-            Backgrid.Extension.Select2Cell.prototype.initialize.apply(this, arguments);
+                  // Disable if access method is not btree
+          return false;
+        }
+        return true;
+      },
+      select2: {
+        allowClear: true, width: 'style', tags: true,
+        placeholder: gettext('Select the operator class'),
+      }, cell: Backgrid.Extension.Select2Cell.extend({
+        initialize: function () {
+          Backgrid.Extension.Select2Cell.prototype.initialize.apply(this, arguments);
 
           var self = this,
             url = self.column.get('url') || self.defaults.url,
             m = self.model,
             indextype = self.model.collection.handler.get('amname');
 
-            if (url && (indextype == 'btree' || _.isUndefined(indextype) ||
-                _.isNull(indextype) || indextype == '')) {
+          if (url && (indextype == 'btree' || _.isUndefined(indextype) ||
+            _.isNull(indextype) || indextype == '')) {
               // Set sort_order and nulls to true if access method is btree
-              setTimeout(function() {
-                m.set('order', true);
-                m.set('nulls_order', true);
-              }, 10);
-
-              var node = this.column.get('schema_node'),
-                  eventHandler = m.top || m,
-                  node_info = this.column.get('node_info'),
-                  full_url = node.generate_url.apply(
-                    node, [
-                      null, url, this.column.get('node_data'),
-                      this.column.get('url_with_id') || false, node_info
-                    ]),
-                  data = [];
-
-              indextype = 'btree';
-
-              if (this.column.get('version_compatible')) {
-                eventHandler.trigger('pgadmin:view:fetching', m, self.column);
-                $.ajax({
-                  async: false,
-                  data : {indextype:indextype},
-                  url: full_url,
-                  success: function(res) {
-                    data = res.data;
-                    self.column.set('options', data);
-                  },
-                  error: function() {
-                    eventHandler.trigger('pgadmin:view:fetch:error', m, self.column);
-                  }
-                });
-                eventHandler.trigger('pgadmin:view:fetched', m, self.column);
-              }
-            } else {
-              self.column.set('options', []);
+            setTimeout(function() {
+              m.set('order', true);
+              m.set('nulls_order', true);
+            }, 10);
+
+            var node = this.column.get('schema_node'),
+              eventHandler = m.top || m,
+              node_info = this.column.get('node_info'),
+              full_url = node.generate_url.apply(
+                  node, [
+                    null, url, this.column.get('node_data'),
+                    this.column.get('url_with_id') || false, node_info,
+                  ]),
+              data = [];
+
+            indextype = 'btree';
+
+            if (this.column.get('version_compatible')) {
+              eventHandler.trigger('pgadmin:view:fetching', m, self.column);
+              $.ajax({
+                async: false,
+                data : {indextype:indextype},
+                url: full_url,
+                success: function(res) {
+                  data = res.data;
+                  self.column.set('options', data);
+                },
+                error: function() {
+                  eventHandler.trigger('pgadmin:view:fetch:error', m, self.column);
+                },
+              });
+              eventHandler.trigger('pgadmin:view:fetched', m, self.column);
             }
-          }
-        })
-      },{
-        id: 'order', label: gettext('DESC'), type: 'switch',
-        options: {
-          onText: 'ASC',
-          offText: 'DESC',
-        },
-        editable: function(m) {
-          if (m instanceof Backbone.Collection) {
-            return true;
-          } else if ((_.has(m.collection, 'handler') &&
-                !_.isUndefined(m.collection.handler) &&
-                !_.isUndefined(m.collection.handler.get('oid')))) {
-            return false;
-          } else if (m.top.get('amname') === 'btree') {
-            m.set('is_sort_nulls_applicable', true);
-            return true;
           } else {
-            m.set('is_sort_nulls_applicable', false);
-            return false;
+            self.column.set('options', []);
           }
-        }
-      },{
-        id: 'nulls_order', label: gettext('NULLs order'), type:"switch",
-        options: {
-          onText: 'FIRST',
-          offText: 'LAST',
         },
-        editable: function(m) {
-          if (m instanceof Backbone.Collection) {
-            return true;
-          } else if ((_.has(m.collection, 'handler') &&
-                !_.isUndefined(m.collection.handler) &&
-                !_.isUndefined(m.collection.handler.get('oid')))) {
-            return false;
-          } else if (m.top.get('amname') === 'btree') {
-              m.set('is_sort_nulls_applicable', true);
-              return true;
-          } else {
-            m.set('is_sort_nulls_applicable', false);
-            return false;
-          }
+      }),
+    },{
+      id: 'order', label: gettext('DESC'), type: 'switch',
+      options: {
+        onText: 'ASC',
+        offText: 'DESC',
+      },
+      editable: function(m) {
+        if (m instanceof Backbone.Collection) {
+          return true;
+        } else if ((_.has(m.collection, 'handler') &&
+          !_.isUndefined(m.collection.handler) &&
+            !_.isUndefined(m.collection.handler.get('oid')))) {
+          return false;
+        } else if (m.top.get('amname') === 'btree') {
+          m.set('is_sort_nulls_applicable', true);
+          return true;
+        } else {
+          m.set('is_sort_nulls_applicable', false);
+          return false;
         }
-      },{
-        id: 'operator', label: gettext('Operator'), type: 'text',
-        node: 'table', url: 'get_operator',
-        editable: function(m) {
-          if (m instanceof Backbone.Collection) {
-            return true;
-          }
-          if ((_.has(m.collection, 'handler') &&
-                !_.isUndefined(m.collection.handler) &&
-                !_.isUndefined(m.collection.handler.get('oid')))) {
-            return false;
-          }
+      },
+    },{
+      id: 'nulls_order', label: gettext('NULLs order'), type:'switch',
+      options: {
+        onText: 'FIRST',
+        offText: 'LAST',
+      },
+      editable: function(m) {
+        if (m instanceof Backbone.Collection) {
           return true;
-        },
-        select2: {
-          allowClear: false, width: 'style',
-        }, cell: Backgrid.Extension.Select2Cell.extend({
+        } else if ((_.has(m.collection, 'handler') &&
+          !_.isUndefined(m.collection.handler) &&
+            !_.isUndefined(m.collection.handler.get('oid')))) {
+          return false;
+        } else if (m.top.get('amname') === 'btree') {
+          m.set('is_sort_nulls_applicable', true);
+          return true;
+        } else {
+          m.set('is_sort_nulls_applicable', false);
+          return false;
+        }
+      },
+    },{
+      id: 'operator', label: gettext('Operator'), type: 'text',
+      node: 'table', url: 'get_operator',
+      editable: function(m) {
+        if (m instanceof Backbone.Collection) {
+          return true;
+        }
+        if ((_.has(m.collection, 'handler') &&
+          !_.isUndefined(m.collection.handler) &&
+            !_.isUndefined(m.collection.handler.get('oid')))) {
+          return false;
+        }
+        return true;
+      },
+      select2: {
+        allowClear: false, width: 'style',
+      }, cell: Backgrid.Extension.Select2Cell.extend({
         initialize: function () {
           Backgrid.Extension.Select2Cell.prototype.initialize.apply(this, arguments);
 
@@ -161,39 +164,39 @@ define('pgadmin.node.exclusion_constraint', [
             m = self.model,
             col_type = self.model.get('col_type');
 
-            self.column.set('options', []);
-
-            if (url && !_.isUndefined(col_type) && !_.isNull(col_type) && col_type != '') {
-              var node = this.column.get('schema_node'),
-                  eventHandler = m.top || m,
-                  node_info = this.column.get('node_info'),
-                  full_url = node.generate_url.apply(
-                    node, [
-                      null, url, this.column.get('node_data'),
-                      this.column.get('url_with_id') || false, node_info
-                    ]),
-                  data = [];
-
-              if (this.column.get('version_compatible')) {
-                eventHandler.trigger('pgadmin:view:fetching', m, self.column);
-                $.ajax({
-                  async: false,
-                  data : {col_type:col_type},
-                  url: full_url,
-                  success: function(res) {
-                    data = res.data;
-                    self.column.set('options', data);
-                  },
-                  error: function() {
-                    eventHandler.trigger('pgadmin:view:fetch:error', m, self.column);
-                  }
-                });
-                eventHandler.trigger('pgadmin:view:fetched', m, self.column);
-              }
+          self.column.set('options', []);
+
+          if (url && !_.isUndefined(col_type) && !_.isNull(col_type) && col_type != '') {
+            var node = this.column.get('schema_node'),
+              eventHandler = m.top || m,
+              node_info = this.column.get('node_info'),
+              full_url = node.generate_url.apply(
+                node, [
+                  null, url, this.column.get('node_data'),
+                  this.column.get('url_with_id') || false, node_info,
+                ]),
+              data = [];
+
+            if (this.column.get('version_compatible')) {
+              eventHandler.trigger('pgadmin:view:fetching', m, self.column);
+              $.ajax({
+                async: false,
+                data : {col_type:col_type},
+                url: full_url,
+                success: function(res) {
+                  data = res.data;
+                  self.column.set('options', data);
+                },
+                error: function() {
+                  eventHandler.trigger('pgadmin:view:fetch:error', m, self.column);
+                },
+              });
+              eventHandler.trigger('pgadmin:view:fetched', m, self.column);
             }
           }
-        })
-      }
+        },
+      }),
+    },
     ],
     validate: function() {
       this.errorModel.clear();
@@ -205,25 +208,25 @@ define('pgadmin.node.exclusion_constraint', [
         return msg;
       }
       return null;
-    }
+    },
   });
 
   var ExclusionConstraintColumnControl =  Backform.ExclusionConstraintColumnControl =
     Backform.UniqueColCollectionControl.extend({
 
-    initialize: function(opts) {
-      Backform.UniqueColCollectionControl.prototype.initialize.apply(
-        this, arguments
-          );
+      initialize: function() {
+        Backform.UniqueColCollectionControl.prototype.initialize.apply(
+          this, arguments
+        );
 
-      var self = this,
-        node = 'exclusion_constraint',
-        headerSchema = [{
-          id: 'column', label:'', type:'text',
-          node: 'column', control: Backform.NodeListByNameControl.extend({
-            initialize: function() {
-              // Here we will decide if we need to call URL
-              // Or fetch the data from parent columns collection
+        var self = this,
+          node = 'exclusion_constraint',
+          headerSchema = [{
+            id: 'column', label:'', type:'text',
+            node: 'column', control: Backform.NodeListByNameControl.extend({
+              initialize: function() {
+                // Here we will decide if we need to call URL
+                // Or fetch the data from parent columns collection
                 if(self.model.handler) {
                   Backform.Select2Control.prototype.initialize.apply(this, arguments);
                   // Do not listen for any event(s) for existing constraint.
